Extending Qt Creator Manual | CoreImport

Extending Qt Creator Manual 4.5.2

# CoreImport Class

(QmlJS::CoreImport)

- List of all members, including inherited members

## Public Functions

| CoreImport()
| CoreImport(const QString &importId, const QList<Export> &possibleExports = QList<Export> (), Dialect language = Dialect::Qml, const QByteArray &fingerprint = QByteArray())
bool | valid()

## Member Function Documentation

### CoreImport::CoreImport()

Default constructs an instance of CoreImport.

### CoreImport::CoreImport(const QString &importId, const QList<Export> &possibleExports = QList<Export> (), Dialect language = Dialect::Qml, const QByteArray &fingerprint = QByteArray())

Default constructs an instance of CoreImport.

### bool CoreImport::valid()